<?php

/*

Archive Template

*/

// Get Page ID
$page_id = get_queried_object_id();

// Main Class
$main_class = is_active_sidebar( 'blog' ) ? 'fy-sidebar-active' : 'fy-sidebar-inactive';

get_header();
?>
    <header class="fy-heading">
        <div class="fy-centerer">

			<?php if ( is_category() ) { ?>
                <h1>
					<?php single_cat_title(); ?></h1>
			<?php } else if ( is_tag() ) { ?>
                <h1>
					<?php printf( esc_html__( 'Tag: %s', 'linguini' ), single_tag_title( '', false ) ); ?></h1>
			<?php } else if ( is_author() ) { ?>
                <h1>
					<?php printf( esc_html__( 'Author: %s', 'linguini' ), get_the_author() ); ?></h1>
			<?php } else if ( is_day() ) { ?>
                <h1>
					<?php esc_html_e( 'Archive:', 'linguini' ); ?><?php the_time( esc_html__( 'F jS, Y', 'linguini' ) ); ?></h1>
			<?php } else if ( is_month() ) { ?>
                <h1>
					<?php esc_html_e( 'Archive:', 'linguini' ); ?><?php the_time( esc_html__( 'F, Y', 'linguini' ) ); ?></h1>
			<?php } else if ( is_year() ) { ?>
                <h1>
					<?php esc_html_e( 'Archive:', 'linguini' ); ?><?php the_time( esc_html__( 'Y', 'linguini' ) ); ?></h1>
			<?php } else if ( get_post_format() ) { ?>
                <h1>
					<?php printf( esc_html__( 'Archive: %s', 'linguini' ), get_post_format() ); ?></h1>
			<?php } else if ( isset( $_GET['paged'] ) && ! empty( $_GET['paged'] ) ) { ?>
                <h1>
					<?php esc_html_e( 'Archive', 'linguini' ); ?></h1>
			<?php } ?>

        </div>
    </header>

    <div class="fy-wrap">

        <div class="fy-centerer">
            <div class="fy-flex-container fy-flex-gutter-xxlarge">

                <main class="fy-main fy-flex-column-auto <?php echo esc_attr( $main_class ); ?>">

					<?php if ( category_description() ) { ?>
                        <div class="fy-page-content fy-content">
							<?php echo category_description(); ?>
                        </div>
					<?php } ?>

					<?php if ( have_posts() ) { ?>
                        <div class="fy-flex-container fy-flex-gutter-large">
							<?php while ( have_posts() ) { ?>
								<?php the_post(); ?>

                                <div class="fy-post-column fy-post-column-<?php echo esc_attr( $i ); ?><?php if ( is_active_sidebar( 'blog' ) ) { ?> fy-flex-column-50 fy-flex-column-tablet-100<?php } else { ?> fy-flex-column-33 fy-flex-column-tablet-50<?php } ?> fy-flex-column-phone-100">

									<?php if ( get_post_type() != 'post' ) { ?>

										<?php get_template_part( 'content', get_post_type() ); ?>

									<?php } else if ( get_post_type() == 'post' ) { ?>

										<?php if ( get_post_format() ) { ?>
											<?php get_template_part( 'content', get_post_format() ); ?>
										<?php } else { ?>
											<?php get_template_part( 'content', 'standard' ); ?>
										<?php } ?>

									<?php } ?>

                                </div>

								<?php $i ++; ?>
							<?php } ?>
                        </div>

						<?php if ( function_exists( 'linguini_pagination' ) ) {
							linguini_pagination();
						} ?>
					<?php } ?>

                </main>

				<?php if ( is_active_sidebar( 'blog' ) ) { ?>
					<?php get_sidebar( 'blog' ); ?>
				<?php } ?>

            </div>

        </div>

    </div>

<?php
get_footer();