<?php

/*

Posts Component Template

*/

?>

<?php
$args       = array(
	'ignore_sticky_posts' => 1,
	'posts_per_page'      => get_theme_mod( 'fy_homepage_posts_count', linguini_default( 'fy_homepage_posts_count' ) )
);
$postsQuery = new WP_Query( $args );
?>

<?php if ( $postsQuery->have_posts() ) { ?>

    <div class="fy-homepage-posts">

        <div class="fy-centerer">

            <header class="fy-content-heading">
                <h2>
					<?php if ( get_option( 'page_for_posts' ) != 0 ) { ?>
                        <a href="<?php echo get_permalink( get_option( 'page_for_posts' ) ); ?>">
                            <span><?php esc_html_e( 'Recent news', 'linguini' ); ?></span>
                        </a>
					<?php } else { ?>
                        <span><?php esc_html_e( 'Recent news', 'linguini' ); ?></span>
					<?php } ?>
                </h2>
            </header>

            <div class="fy-flex-container fy-flex-gutter-large">
				<?php while ( $postsQuery->have_posts() ) { ?>
					<?php $postsQuery->the_post(); ?>

                    <div class="fy-post-column fy-flex-column-auto fy-flex-column-tablet-50 fy-flex-column-phone-100">
						<?php if ( get_post_type() != 'post' ) { ?>

							<?php get_template_part( 'content', get_post_type() ); ?>

						<?php } else if ( get_post_type() == 'post' ) { ?>

							<?php if ( get_post_format() ) { ?>
								<?php get_template_part( 'content', get_post_format() ); ?>
							<?php } else { ?>
								<?php get_template_part( 'content', 'standard' ); ?>
							<?php } ?>

						<?php } ?>
                    </div>

				<?php } ?>
            </div>

        </div>
    </div>

<?php } ?>
<?php wp_reset_postdata(); ?>