<?php

/*

Event Content Template

*/

// Post Class
$post_class = array( 'fy-post', 'fy-post-category', 'fy-post-event', 'vevent' );

// Thumbnail Attributes
$thumbnail_attr = array( 'class' => 'fy-image fy-image-responsive js-lazy', 'itemprop' => 'image' );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $post_class ); ?> itemscope itemtype="https://schema.org/Event">
    <div class="fy-flex-container fy-flex-container-center fy-flex-gutter-large">

		<?php if ( has_post_thumbnail() ) { ?>
            <div class="fy-post-image-column fy-flex-column-33 fy-flex-column-tablet-50 fy-flex-column-phone-100">
				<?php get_template_part( 'templates/image/thumbnail' ); ?>
            </div>
		<?php } ?>

        <div class="fy-post-content-column fy-flex-column-auto">

            <header class="fy-post-header">
                <h3 class="entry-title summary" itemprop="name">
                    <a href="<?php the_permalink(); ?>"
                       title="<?php the_title_attribute(); ?>"
                       class="url"
                       itemprop="url"><?php the_title(); ?>
                    </a>

                    <small class="fy-post-date">
						<?php if ( function_exists( 'forqy_date_event' ) ) {
							forqy_date_event();
						} ?>
                    </small>
                </h3>
            </header>

	        <?php get_template_part( 'templates/post/excerpt' ); ?>

            <footer class="fy-post-footer fy-flex-container fy-flex-container-center">
                <div class="fy-flex-column fy-flex-column-phone-100">
					<?php if ( function_exists( 'linguini_event_location' ) ) {
						$args = array(
							'heading' => false,
							'address' => false
						);
						linguini_event_location( $args );
					} ?>
                </div>

                <div class="fy-flex-column-auto fy-flex-column-phone-100 fy-align-right">
	                <?php get_template_part('templates/post/more'); ?>
                </div>
            </footer>

        </div>

    </div>

	<?php if ( forqy_meta( 'fy_event_status' ) ) { ?>
        <div class="fy-post-status fy-hide" itemprop="eventStatus">
			<?php echo esc_attr( forqy_meta( 'fy_event_status' ) ); ?>
        </div>
	<?php } ?>
</article>