<?php

/*

Gallery Single Content Template

*/

global $post;

// Post Class
$post_class = array( 'fy-post', 'fy-post-single', 'fy-post-gallery', 'fy-post-gallery-single' );

// Thumbnail Attributes
$thumbnail_attr = array( 'class' => 'fy-image fy-image-responsive', 'itemprop' => 'image' );

// Thumbnail Image
$thumbnail_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'fy-huge' );

// Images
$images = get_post_meta( $post->ID, 'fy-gallery-images', true );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $post_class ); ?> itemscope
         itemtype="https://schema.org/Article">
    <div class="fy-flex-container">

		<?php if ( ! empty( $images ) ) { ?>
            <div class="fy-flex-column-100">

                <div class="fy-post-media fy-post-gallery fy-flex-container fy-flex-gutter-small js-images"
                     itemprop="associatedMedia" itemscope itemtype="https://schema.org/ImageObject">

					<?php $index = '0'; ?>
					<?php foreach ( $images as $image ) { ?>
						<?php
						$attachment = get_post( $image );
						$meta       = wp_get_attachment_metadata( $image );
						?>
						<?php if ( $attachment ) { ?>
                            <div class="fy-post-image-column fy-flex-column-20 fy-flex-column-desktop-25 fy-flex-column-tablet-33 fy-flex-column-phone-50">
                                <figure class="fy-post-image">
                                    <a href="<?php echo wp_get_attachment_url( $image ); ?>"
                                       data-size="<?php echo esc_attr( $meta['width'] ); ?>x<?php echo esc_attr( $meta['height'] ); ?>"
                                       data-index="<?php echo esc_attr( $index ++ ); ?>"
                                       class="js-image js-lazy-parent"
                                       itemprop="contentUrl">
										<?php echo wp_get_attachment_image( $image, 'fy-xlarge-fixed' ); ?>

										<?php get_template_part( 'templates/element/loading' ); ?>
                                    </a>

                                    <figcaption itemprop="caption description" class="fy-post-image-caption fy-hide">
										<?php echo esc_attr( $attachment->post_title ); ?>
                                    </figcaption>
                                </figure>
                            </div>
						<?php } ?>
					<?php } ?>

                </div>
            </div>
		<?php } ?>

        <div class="fy-flex-column-100">
	        <?php get_template_part( 'templates/post/content' ); ?>

            <footer class="fy-post-footer">
                <div class="fy-divider"></div>

                <div class="fy-flex-container">

                    <div class="fy-flex-column-auto fy-flex-column-tablet-100">
				        <?php if ( function_exists( 'linguini_post_terms' ) ) {
					        linguini_post_terms();
				        } ?>
                    </div>

			        <?php if ( get_theme_mod( 'fy_share' ) != 'disabled' ) { ?>
                        <div class="fy-flex-column fy-flex-column-tablet-100 fy-align-center">
					        <?php get_template_part( 'templates/social/share' ); ?>
                        </div>
			        <?php } ?>

                </div>

            </footer>

        </div>

    </div>
</article>