<?php

/*

Menu Single Content Template

*/

// Post Class
$post_class = array( 'fy-post', 'fy-post-single', 'fy-post-menu', 'fy-post-menu-single' );

// Thumbnail Attributes
$thumbnail_attr = array( 'class' => 'fy-image fy-image-responsive js-lazy', 'itemprop' => 'image' );

// Thumbnail Image
$thumbnail_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'fy-huge' );

// Vars
$prices = array_filter( forqy_meta( 'fy_menu_price' ) );
$badges = array_filter( forqy_meta( 'fy_menu_badges' ) );

// Prices
if ( ! empty( $prices ) ) {
	foreach ( $prices as $price => $item ) {
		if ( preg_replace( '/\s/', '', $item ) === '' ) {
			unset( $prices[ $price ] );
		}
	}
}

// Badges
if ( ! empty( $badges ) ) {
	foreach ( $badges as $badge => $item ) {
		if ( preg_replace( '/\s/', '', $item ) === '' ) {
			unset( $badge[ $badge ] );
		}
	}
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $post_class ); ?>>
    <div class="fy-flex-container">

        <div class="fy-flex-column-100 fy-align-center">
			<?php get_template_part( 'templates/post/menu/content' ); ?>
        </div>

        <div class="fy-flex-column-100 fy-align-center">

			<?php if ( ! empty( $badges ) ) { ?>
                <div class="fy-post-badges">
                    <ul>
						<?php foreach ( $badges as $badge ) { ?>
                            <li><?php echo esc_attr( $badge ); ?></li>
						<?php } ?>
                    </ul>
                </div>
			<?php } ?>

			<?php if ( ! empty( $prices ) ) { ?>
                <div class="fy-post-prices" itemprop="offers" itemscope itemtype="http://schema.org/AggregateOffer">
                    <span itemprop="lowPrice"><?php echo esc_html( implode( ', ', $prices ) ); ?></span>
                </div>
			<?php } ?>

        </div>

        <div class="fy-flex-column-100 fy-align-center">

			<?php if ( function_exists( 'linguini_post_terms' ) ) {
				linguini_post_terms();
			} ?>

            <div class="fy-post-author fy-hide vcard author">
                <span class="fn"><?php echo get_bloginfo( 'name' ); ?></span>
            </div>

            <footer class="fy-post-footer">
                <div class="fy-divider"></div>

				<?php if ( get_theme_mod( 'fy_share' ) != 'disabled' ) { ?>
                    <div class="fy-flex-column fy-flex-column-tablet-100 fy-align-center">
						<?php get_template_part( 'templates/social/share' ); ?>
                    </div>
				<?php } ?>

            </footer>

        </div>

    </div>
</article>