<?php

/*

Heading Template

*/

global $post;

// Thumbnail
$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'fy-huge' );
?>

<header class="fy-heading<?php if ( $image ) { ?> fy-heading-with-image<?php } ?>">
	<?php if ( $image ) { ?>
        <div class="fy-heading-image js-lazy" data-src="<?php echo esc_url( $image[0] ); ?>"></div>
	<?php } ?>

    <div class="fy-centerer">

        <h1 class="entry-title" itemprop="name">
			<?php the_title(); ?>
        </h1>

		<?php if ( get_post_type() == 'event' ) { ?>
            <div class="fy-post-date fy-event-date">
				<?php if ( function_exists( 'forqy_date_event' ) ) {
					forqy_date_event();
				} ?>

				<?php if ( forqy_meta( 'fy_event_time' ) ) { ?>
                    <span class="fy-post-time"><?php echo forqy_meta( 'fy_event_time' ); ?></span>
				<?php } ?>
            </div>
		<?php } else { ?>
			<?php if ( get_post_type() == 'post' ) { ?>
                <time class="fy-post-date date updated" itemprop="dateCreated"
                      datetime="<?php the_time( 'Y-m-d' ); ?>">
					<?php the_time( get_option( 'date_format' ) ); ?>
                </time>
			<?php } ?>
		<?php } ?>

    </div>
</header>