/**
 *
 * Widget Upload
 * v1.0.1
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    var body = $('body');

    var buttonUpload = '.js-media-button-upload';
    var buttonRemove = '.js-media-button-remove';

    var imageInput = '.js-media-image-input';
    var imagePreview = '.js-media-image-preview';

    /**
     * Init Media Manager
     */

    body.on('click', buttonUpload, function (e) {
        e.preventDefault();

        var button = $(this);

        // Create new media manager instance
        var frame = wp.media.frames.file_frame = wp.media({
            title: translation.select_image,
            button: {
                text: translation.use_selected_image
            },
            library: {
                type: 'image'
            },
            multiple: false
        });

        // Run callback when image selected
        frame.on('select', function () {
            var attachment = frame.state().get('selection').first().toJSON();

            button.siblings(imageInput).val(attachment.url).trigger('change');
            button.siblings(imagePreview).attr('src', attachment.url);

            button.siblings(buttonRemove).show();
        });

        // Open media manager
        frame.open();
    });

    /**
     * Remove selected image
     */

    body.on('click', buttonRemove, function (e) {
        e.preventDefault();

        var button = $(this);

        button.siblings(imageInput).val('').trigger('change');
        button.siblings(imagePreview).attr('src', '');

        button.hide();
    });

});