/**
 *
 * Linguini
 * v1.0.0
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    /**
     * Slideshow height
     */

    function slideshowHeight() {
        var slideshow = $('.fy-slideshow');
        var windowHeight = $(window).innerHeight();
        var headerHeight = $('.fy-header').innerHeight();

        slideshow.css('height', windowHeight - headerHeight);

        if ($('body').hasClass('admin-bar')) {
            slideshow.css('height', windowHeight - headerHeight - 32);
        }
    }

    slideshowHeight();

    $(window).on('resize', function () {
        slideshowHeight();
    });

    /**
     * Forms
     */

    var FIELD_EMPTY_CLASS = 'field-empty';
    var FIELD_ACTIVE_CLASS = 'field-active';

    $('.fy-field .fy-input').each(function (i, el) {

        var container = $(el).parents('.fy-field');

        if (el.value && el.value.trim() === '') {
            container.addClass(FIELD_EMPTY_CLASS);
        }

        $(el).on('focus', function () {
            container.addClass(FIELD_ACTIVE_CLASS);
            container.removeClass(FIELD_EMPTY_CLASS);
        });

        $(el).on('blur', function () {

            container.removeClass(FIELD_ACTIVE_CLASS);

            if (el.value.trim() === '') {
                container.addClass(FIELD_EMPTY_CLASS);
            } else {
                container.removeClass(FIELD_EMPTY_CLASS);
            }
        });
    });


    /**
     * Lazy
     */
    // classes
    var CLASS_LAZY_LOADED = 'lazy-loaded';

    // selectors
    var imagesLazy = $('.js-lazy');
    var imagesLazyParent = '.js-lazy-parent';

    imagesLazy.Lazy({
        threshold: 1000,
        afterLoad: function (element) {
            var image = $(element);
            var imageParent = image.parent(imagesLazyParent);

            image.addClass(CLASS_LAZY_LOADED);
            $(imageParent).addClass(CLASS_LAZY_LOADED);
        }
    });

    /**
     * Anchor Link Scroll
     * https://paulund.co.uk/smooth-scroll-to-internal-links-with-jquery
     */

    $('a[href^="#"]').on('click', function (e) {
        e.preventDefault();

        var target = this.hash;
        var $target = $(target);

        if ($target.length) {
            $('html, body').stop().animate({
                'scrollTop': $target.offset().top
            }, 600, 'swing');
        }
    });

    /**
     * Loading
     */

    var loading = $('.fy-page-loading');

    Pace.on('done', function () {
        loading.addClass('fy-loading-hiding');

        if (loading.hasClass('fy-loading-hiding')) {
            setTimeout(function () {
                loading.removeClass('fy-loading-hiding');
                loading.addClass('fy-loading-hidden');
            }, 600);
        }
    });

    /**
     * Back to Top
     */

    var backToTop = $('.js-back-to-top');

    function backToTopClass(selector) {
        var windowHeight = $(window).innerHeight();

        if ($(window).scrollTop() > windowHeight) {
            selector.addClass('active');
        } else {
            selector.removeClass('active');
        }
    }

    backToTopClass(backToTop);

    $(window).on('scroll', function () {
        backToTopClass(backToTop);
    });

});