/**
 *
 * Navigation
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    var html = $('html');
    var body = $('body');

    /**
     * DoubleTapToGo
     */

    function initDTTG() {
        var windowWidth = $(window).width();

        if (windowWidth >= '1024') {
            $('.fy-navigation li:has(ul)').doubleTapToGo();
        }
    }

    initDTTG();

    $(window).on('resize', function () {
        initDTTG();
    });

    /**
     * Navigation
     */

    var trigger = $('.js-navigation-trigger');
    trigger.each(function (i, el) {
        $(el).on('click touchstart', function (e) {
            e.preventDefault();

            if (body.hasClass('navigation-active')) {
                body.addClass('navigation-closing');

                setTimeout(function () {
                    html.removeClass('navigation-active');

                    body.removeClass('navigation-closing');
                    body.removeClass('navigation-active');
                }, 300);
            } else {
                html.addClass('navigation-active');
                body.addClass('navigation-active');
            }
        });
    });
    // Close navigation
    var closer = $('.js-navigation-close');
    closer.each(function (i, el) {
        $(el).on('click touchstart', function () {

            if (body.hasClass('navigation-active')) {

                body.addClass('navigation-closing');

                setTimeout(function () {
                    html.removeClass('navigation-active');

                    body.removeClass('navigation-closing');
                    body.removeClass('navigation-active');
                }, 300);
            }
        });
    });
    // Close navigation on esc
    $(document).keyup(function (e) {
        if (e.keyCode === 27) {
            if (body.hasClass('navigation-active')) {
                body.addClass('navigation-closing');

                setTimeout(function () {
                    html.removeClass('navigation-active');

                    body.removeClass('navigation-closing');
                    body.removeClass('navigation-active');
                }, 300);
            }
        }
    });

    /**
     * Anchor Links
     */

    var navigationAnchorLink = $('.fy-navigation a[href="#"]');

    navigationAnchorLink.on('click', function (e) {
        e.preventDefault();
    });

});