/**
 *
 * Sticky
 * v1.0.0
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    var CLASS_STICKY_STUCK = 'is-stuck';
    var CLASS_STICKY_MOBILE = 'is-mobile';

    var body = $('body');
    var adminBar = $('#wpadminbar');
    var adminBarHeight = adminBar.innerHeight();

    // sticky container
    var stickyContainer = '.js-sticky-container';
    var stickyContainerWidth = $(stickyContainer).innerWidth();

    // sticky navigation
    var stickyNavigation = $(".js-sticky");
    var stickyNavigationHeight = stickyNavigation.innerHeight();

    if (stickyNavigation.length) {
        var stickyNavigationTop = body.hasClass('admin-bar') ? stickyNavigation.offset().top - adminBarHeight : stickyNavigation.offset().top;
    }

    // sticky navigation menu
    var stickyNavigationMenu = $(".js-sticky-menu");

    if (stickyNavigationMenu.length) {
        var stickyNavigationMenuTop = body.hasClass('admin-bar') ? stickyNavigationMenu.offset().top - stickyNavigationHeight - adminBarHeight : stickyNavigationMenu.offset().top - stickyNavigationHeight;
    }

    var doc = $(document);

    /**
     * Stick It
     */

    function stickIt(selector, offset, BODY_STICKY_CLASS) {

        if (selector.length) {

            var currentTop = doc.scrollTop();

            if (stickyContainerWidth >= '1024') {
                if (currentTop >= offset) {
                    selector.addClass(CLASS_STICKY_STUCK);
                    body.addClass(BODY_STICKY_CLASS);
                } else {
                    selector.removeClass(CLASS_STICKY_STUCK);
                    body.removeClass(BODY_STICKY_CLASS);
                }
            }

            // is mobile
            if (stickyContainerWidth <= '1024') {
                selector.addClass(CLASS_STICKY_MOBILE);
            } else {
                selector.removeClass(CLASS_STICKY_MOBILE);
            }
        }

    }

    stickIt(stickyNavigation, stickyNavigationTop, 'navigation-is-stuck');
    stickIt(stickyNavigationMenu, stickyNavigationMenuTop, 'navigation-menu-is-stuck');

    // on scroll
    $(window).on('scroll touchmove', function () {
        stickIt(stickyNavigation, stickyNavigationTop, 'navigation-is-stuck');
        stickIt(stickyNavigationMenu, stickyNavigationMenuTop, 'navigation-menu-is-stuck');
    });

    /**
     * Scroll Active
     * */

    // Cache selectors
    var topMenuHeight = stickyNavigationMenu.outerHeight() + 36;
    // All list items
    var menuItems = stickyNavigationMenu.find("a");
    // Anchors corresponding to menu items
    var scrollItems = menuItems.map(function () {
        var item = $($(this).attr("href"));

        if (item.length) {
            return item;
        }
    });

    // Bind to scroll
    $(window).scroll(function () {
        // Get container scroll position
        var fromTop = $(this).scrollTop() + topMenuHeight;

        // Get id of current scroll item
        var cur = scrollItems.map(function () {
            if ($(this).offset().top < fromTop)
                return this;
        });
        // Get the id of the current element
        cur = cur[cur.length - 1];
        var id = cur && cur.length ? cur[0].id : "";
        // Set/remove active class
        menuItems.parent().removeClass("active").end().filter("[href='#" + id + "']").parent().addClass("active");
    });

});