<?php

/*

Date

*/

if ( ! function_exists( 'forqy_date' ) ) {

	function forqy_date( $meta = 'fy_event_date', $date_format_mod = 'fy_event_date_format', $date_delimiter_mod = 'fy_event_date_delimiter' ) {

		// Format
		$format = get_theme_mod( $date_format_mod, linguini_default( $date_format_mod ) );
		// Delimiter
		$delimiter = get_theme_mod( $date_delimiter_mod, linguini_default( $date_delimiter_mod ) );

		// Date
		$date           = forqy_meta( $meta );
		$date_timestamp = strtotime( $date );
		$date_day       = date( 'd', $date_timestamp );
		$date_month     = date( 'm', $date_timestamp );
		$date_year      = date( 'Y', $date_timestamp );

		// Date Format
		if ( $format == 'd m Y' ) {
			// 01 02 2000
			$date_start_full = $date_day . $delimiter . $date_month . $delimiter . $date_year;

		} else if ( $format == 'm d Y' ) {
			// 02 01 2000
			$date_start_full = $date_month . $delimiter . $date_day . $delimiter . $date_year;

		} else if ( $format == 'Y m d' ) {
			// 2000 02 01
			$date_start_full = $date_year . $delimiter . $date_month . $delimiter . $date_day;

		} else if ( $format == 'Y d m' ) {
			// 2000 01 02
			$date_start_full = $date_year . $delimiter . $date_month . $delimiter . $date_day;

		} else if ( $format == 'l, j m Y' ) {

			// Monday, 01 02 2000
			$date_day_name = date( 'l', $date_timestamp );
			$date_day      = date( 'j', $date_timestamp );
			$date_month    = date( 'm', $date_timestamp );
			$date_year     = date( 'Y', $date_timestamp );

			switch ( $date_day_name ) {
				case 'Monday':
					$date_day_name = esc_html__( 'Monday', 'linguini' );
					break;
				case 'Tuesday':
					$date_day_name = esc_html__( 'Tuesday', 'linguini' );
					break;
				case 'Wednesday':
					$date_day_name = esc_html__( 'Wednesday', 'linguini' );
					break;
				case 'Thursday':
					$date_day_name = esc_html__( 'Thursday', 'linguini' );
					break;
				case 'Friday':
					$date_day_name = esc_html__( 'Friday', 'linguini' );
					break;
				case 'Saturday':
					$date_day_name = esc_html__( 'Saturday', 'linguini' );
					break;
				case 'Sunday':
					$date_day_name = esc_html__( 'Sunday', 'linguini' );
					break;
				default:
					$date_day_name = '';
					break;
			}
			$date_start_full = $date_day_name . ', ' . $date_day . $delimiter . $date_month . $delimiter . $date_year;

		} else if ( $format == 'F j, Y' ) {
			// January 1, 2000
			$date_day   = date( 'j', $date_timestamp );
			$date_month = date( 'F', $date_timestamp );
			$date_year  = date( 'Y', $date_timestamp );

			switch ( $date_month ) {
				case 'January':
					$date_month = esc_html__( 'January', 'linguini' );
					break;
				case 'February':
					$date_month = esc_html__( 'February', 'linguini' );
					break;
				case 'March':
					$date_month = esc_html__( 'March', 'linguini' );
					break;
				case 'April':
					$date_month = esc_html__( 'April', 'linguini' );
					break;
				case 'May':
					$date_month = esc_html__( 'May', 'linguini' );
					break;
				case 'June':
					$date_month = esc_html__( 'June', 'linguini' );
					break;
				case 'July':
					$date_month = esc_html__( 'July', 'linguini' );
					break;
				case 'August':
					$date_month = esc_html__( 'August', 'linguini' );
					break;
				case 'September':
					$date_month = esc_html__( 'September', 'linguini' );
					break;
				case 'October':
					$date_month = esc_html__( 'October', 'linguini' );
					break;
				case 'November':
					$date_month = esc_html__( 'November', 'linguini' );
					break;
				case 'December':
					$date_month = esc_html__( 'December', 'linguini' );
					break;
				default:
					$date_month = '';
					break;
			}
			$date_start_full = $date_month . ' ' . $date_day . ', ' . $date_year;

		} else if ( $format == 'j M, Y' ) {
			// 1 Jan, 2000
			$date_day   = date( 'j', $date_timestamp );
			$date_month = date( 'M', $date_timestamp );
			$date_year  = date( 'Y', $date_timestamp );

			switch ( $date_month ) {
				case 'Jan':
					$date_month = esc_html__( 'Jan', 'linguini' );
					break;
				case 'Feb':
					$date_month = esc_html__( 'Feb', 'linguini' );
					break;
				case 'Mar':
					$date_month = esc_html__( 'Mar', 'linguini' );
					break;
				case 'Apr':
					$date_month = esc_html__( 'Apr', 'linguini' );
					break;
				case 'May':
					$date_month = esc_html__( 'May', 'linguini' );
					break;
				case 'Jun':
					$date_month = esc_html__( 'Jun', 'linguini' );
					break;
				case 'Jul':
					$date_month = esc_html__( 'Jul', 'linguini' );
					break;
				case 'Aug':
					$date_month = esc_html__( 'Aug', 'linguini' );
					break;
				case 'Sep':
					$date_month = esc_html__( 'Sep', 'linguini' );
					break;
				case 'Oct':
					$date_month = esc_html__( 'Oct', 'linguini' );
					break;
				case 'Nov':
					$date_month = esc_html__( 'Nov', 'linguini' );
					break;
				case 'Dec':
					$date_month = esc_html__( 'Dec', 'linguini' );
					break;
				default:
					$date_month = '';
					break;
			}
			$date_start_full = $date_day . ' ' . $date_month . ', ' . $date_year;

		} else {
			// Default // 01 02 2000
			$date_start_full = $date_day . $delimiter . $date_month . $delimiter . $date_year;
		}

		if ( ! empty( $date ) ) {

			echo '<time class="dtstart" itemprop="startDate" datetime="' . $date_year . '-' . $date_month . '-' . $date_day . '">' . $date_start_full . '</time>';

		}

	}

}

/*
====================================================================================================
Date - Event
====================================================================================================
*/

if ( ! function_exists( 'forqy_date_event' ) ) {

	function forqy_date_event( $meta_start = 'fy_event_date', $meta_end = 'fy_event_date_end', $date_format_mod = 'fy_event_date_format', $date_delimiter_mod = 'fy_event_date_delimiter' ) {

		// Format
		$format = get_theme_mod( $date_format_mod, linguini_default( $date_format_mod ) );
		// Delimiter
		$delimiter = get_theme_mod( $date_delimiter_mod, linguini_default( $date_delimiter_mod ) );

		// Start
		$start           = forqy_meta( $meta_start );
		$start_timestamp = strtotime( $start );
		$start_day       = date( 'd', $start_timestamp );
		$start_month     = date( 'm', $start_timestamp );
		$start_year      = date( 'Y', $start_timestamp );

		// End
		$end           = forqy_meta( $meta_end );
		$end_timestamp = strtotime( $end );
		$end_day       = date( 'd', $end_timestamp );
		$end_month     = date( 'm', $end_timestamp );
		$end_year      = date( 'Y', $end_timestamp );

		// Format
		if ( $format == 'd m Y' ) {
			// 01 02 2000
			$date_start_full = $start_day . $delimiter . $start_month . $delimiter . $start_year;
			$date_end_full   = $end_day . $delimiter . $end_month . $delimiter . $end_year;

		} else if ( $format == 'm d Y' ) {
			// 02 01 2000
			$date_start_full = $start_month . $delimiter . $start_day . $delimiter . $start_year;
			$date_end_full   = $end_month . $delimiter . $end_day . $delimiter . $end_year;

		} else if ( $format == 'Y m d' ) {
			// 2000 02 01
			$date_start_full = $start_year . $delimiter . $start_month . $delimiter . $start_day;
			$date_end_full   = $end_year . $delimiter . $end_month . $delimiter . $end_day;

		} else if ( $format == 'Y d m' ) {
			// 2000 01 02
			$date_start_full = $start_year . $delimiter . $start_month . $delimiter . $start_day;
			$date_end_full   = $end_year . $delimiter . $end_month . $delimiter . $end_day;

		} else if ( $format == 'l, j m Y' ) {

			// Monday, 01 02 2000
			$date_day_name     = date( 'l', $start_timestamp );
			$start_day         = date( 'j', $start_timestamp );
			$start_month       = date( 'm', $start_timestamp );
			$start_year        = date( 'Y', $start_timestamp );
			$date_end_day_name = date( 'l', $end_timestamp );
			$end_day           = date( 'j', $end_timestamp );
			$end_month         = date( 'm', $end_timestamp );
			$end_year          = date( 'Y', $end_timestamp );

			switch ( $date_day_name ) {
				case 'Monday':
					$date_day_name = esc_html__( 'Monday', 'linguini' );
					break;
				case 'Tuesday':
					$date_day_name = esc_html__( 'Tuesday', 'linguini' );
					break;
				case 'Wednesday':
					$date_day_name = esc_html__( 'Wednesday', 'linguini' );
					break;
				case 'Thursday':
					$date_day_name = esc_html__( 'Thursday', 'linguini' );
					break;
				case 'Friday':
					$date_day_name = esc_html__( 'Friday', 'linguini' );
					break;
				case 'Saturday':
					$date_day_name = esc_html__( 'Saturday', 'linguini' );
					break;
				case 'Sunday':
					$date_day_name = esc_html__( 'Sunday', 'linguini' );
					break;
				default:
					$date_day_name = '';
					break;
			}
			switch ( $date_end_day_name ) {
				case 'Monday':
					$date_end_day_name = esc_html__( 'Monday', 'linguini' );
					break;
				case 'Tuesday':
					$date_end_day_name = esc_html__( 'Tuesday', 'linguini' );
					break;
				case 'Wednesday':
					$date_end_day_name = esc_html__( 'Wednesday', 'linguini' );
					break;
				case 'Thursday':
					$date_end_day_name = esc_html__( 'Thursday', 'linguini' );
					break;
				case 'Friday':
					$date_end_day_name = esc_html__( 'Friday', 'linguini' );
					break;
				case 'Saturday':
					$date_end_day_name = esc_html__( 'Saturday', 'linguini' );
					break;
				case 'Sunday':
					$date_end_day_name = esc_html__( 'Sunday', 'linguini' );
					break;
				default:
					$date_end_day_name = '';
					break;
			}
			$date_start_full = $date_day_name . ', ' . $start_day . $delimiter . $start_month . $delimiter . $start_year;
			$date_end_full   = $date_end_day_name . ', ' . $end_day . $delimiter . $end_month . $delimiter . $end_year;

		} else if ( $format == 'F j, Y' ) {
			// January 1, 2000
			$start_day   = date( 'j', $start_timestamp );
			$start_month = date( 'F', $start_timestamp );
			$start_year  = date( 'Y', $start_timestamp );
			$end_day     = date( 'j', $end_timestamp );
			$end_month   = date( 'F', $end_timestamp );
			$end_year    = date( 'Y', $end_timestamp );

			switch ( $start_month ) {
				case 'January':
					$start_month = esc_html__( 'January', 'linguini' );
					break;
				case 'February':
					$start_month = esc_html__( 'February', 'linguini' );
					break;
				case 'March':
					$start_month = esc_html__( 'March', 'linguini' );
					break;
				case 'April':
					$start_month = esc_html__( 'April', 'linguini' );
					break;
				case 'May':
					$start_month = esc_html__( 'May', 'linguini' );
					break;
				case 'June':
					$start_month = esc_html__( 'June', 'linguini' );
					break;
				case 'July':
					$start_month = esc_html__( 'July', 'linguini' );
					break;
				case 'August':
					$start_month = esc_html__( 'August', 'linguini' );
					break;
				case 'September':
					$start_month = esc_html__( 'September', 'linguini' );
					break;
				case 'October':
					$start_month = esc_html__( 'October', 'linguini' );
					break;
				case 'November':
					$start_month = esc_html__( 'November', 'linguini' );
					break;
				case 'December':
					$start_month = esc_html__( 'December', 'linguini' );
					break;
				default:
					$start_month = '';
					break;
			}
			switch ( $end_month ) {
				case 'January':
					$end_month = esc_html__( 'January', 'linguini' );
					break;
				case 'February':
					$end_month = esc_html__( 'February', 'linguini' );
					break;
				case 'March':
					$end_month = esc_html__( 'March', 'linguini' );
					break;
				case 'April':
					$end_month = esc_html__( 'April', 'linguini' );
					break;
				case 'May':
					$end_month = esc_html__( 'May', 'linguini' );
					break;
				case 'June':
					$end_month = esc_html__( 'June', 'linguini' );
					break;
				case 'July':
					$end_month = esc_html__( 'July', 'linguini' );
					break;
				case 'September':
					$end_month = esc_html__( 'September', 'linguini' );
					break;
				case 'August':
					$end_month = esc_html__( 'August', 'linguini' );
					break;
				case 'October':
					$end_month = esc_html__( 'October', 'linguini' );
					break;
				case 'November':
					$end_month = esc_html__( 'November', 'linguini' );
					break;
				case 'December':
					$end_month = esc_html__( 'December', 'linguini' );
					break;
				default:
					$end_month = '';
					break;
			}
			$date_start_full = $start_month . ' ' . $start_day . ', ' . $start_year;
			$date_end_full   = $end_month . ' ' . $end_day . ', ' . $end_year;

		} else if ( $format == 'j M, Y' ) {
			// 1 Jan, 2000
			$start_day   = date( 'j', $start_timestamp );
			$start_month = date( 'M', $start_timestamp );
			$start_year  = date( 'Y', $start_timestamp );
			$end_day     = date( 'j', $end_timestamp );
			$end_month   = date( 'M', $end_timestamp );
			$end_year    = date( 'Y', $end_timestamp );

			switch ( $start_month ) {
				case 'Jan':
					$start_month = esc_html__( 'Jan', 'linguini' );
					break;
				case 'Feb':
					$start_month = esc_html__( 'Feb', 'linguini' );
					break;
				case 'Mar':
					$start_month = esc_html__( 'Mar', 'linguini' );
					break;
				case 'Apr':
					$start_month = esc_html__( 'Apr', 'linguini' );
					break;
				case 'May':
					$start_month = esc_html__( 'May', 'linguini' );
					break;
				case 'Jun':
					$start_month = esc_html__( 'Jun', 'linguini' );
					break;
				case 'Jul':
					$start_month = esc_html__( 'Jul', 'linguini' );
					break;
				case 'Aug':
					$start_month = esc_html__( 'Aug', 'linguini' );
					break;
				case 'Sep':
					$start_month = esc_html__( 'Sep', 'linguini' );
					break;
				case 'Oct':
					$start_month = esc_html__( 'Oct', 'linguini' );
					break;
				case 'Nov':
					$start_month = esc_html__( 'Nov', 'linguini' );
					break;
				case 'Dec':
					$start_month = esc_html__( 'Dec', 'linguini' );
					break;
				default:
					$start_month = '';
					break;
			}
			switch ( $end_month ) {
				case 'Jan':
					$end_month = esc_html__( 'Jan', 'linguini' );
					break;
				case 'Feb':
					$end_month = esc_html__( 'Feb', 'linguini' );
					break;
				case 'Mar':
					$end_month = esc_html__( 'Mar', 'linguini' );
					break;
				case 'Apr':
					$end_month = esc_html__( 'Apr', 'linguini' );
					break;
				case 'May':
					$end_month = esc_html__( 'May', 'linguini' );
					break;
				case 'Jun':
					$end_month = esc_html__( 'Jun', 'linguini' );
					break;
				case 'Jul':
					$end_month = esc_html__( 'Jul', 'linguini' );
					break;
				case 'Aug':
					$end_month = esc_html__( 'Aug', 'linguini' );
					break;
				case 'Sep':
					$end_month = esc_html__( 'Sep', 'linguini' );
					break;
				case 'Oct':
					$end_month = esc_html__( 'Oct', 'linguini' );
					break;
				case 'Nov':
					$end_month = esc_html__( 'Nov', 'linguini' );
					break;
				case 'Dec':
					$end_month = esc_html__( 'Dec', 'linguini' );
					break;
				default:
					$end_month = '';
					break;
			}
			$date_start_full = $start_day . ' ' . $start_month . ', ' . $start_year;
			$date_end_full   = $end_day . ' ' . $end_month . ', ' . $end_year;

		} else {
			// Default // 01 02 2000
			$date_start_full = $start_day . $delimiter . $start_month . $delimiter . $start_year;
			$date_end_full   = $end_day . $delimiter . $end_month . $delimiter . $end_year;

		}

		if ( ! empty( $start ) && ! empty( $end ) ) {

			if ( $start == $end ) {
				echo '<time class="dtstart" itemprop="startDate" datetime="' . $start_year . '-' . $start_month . '-' . $start_day . '">' . $date_start_full . '</time><span class="fy-hide"> &mdash; </span><time class="fy-hide dtend" itemprop="endDate"  datetime="' . $end_year . '-' . $end_month . '-' . $end_day . '">' . $date_end_full . '</time>';
			} else {
				echo '<time class="dtstart" itemprop="startDate" datetime="' . $start_year . '-' . $start_month . '-' . $start_day . '">' . $date_start_full . '</time><span> &mdash; </span><time class="dtend" itemprop="endDate"  datetime="' . $end_year . '-' . $end_month . '-' . $end_day . '">' . $date_end_full . '</time>';
			}

		} else if ( ! empty( $start ) ) {

			echo '<time class="dtstart" itemprop="startDate" datetime="' . $start_year . '-' . $start_month . '-' . $start_day . '">' . $date_start_full . '</time>';

		}

	}

}