<?php

/*

Page Template

*/

global $post;

// Main Class
$main_class = is_active_sidebar( 'page' ) ? 'fy-sidebar-active' : 'fy-sidebar-inactive';

get_header();
?>
    <header class="fy-heading">
        <div class="fy-centerer">

            <h1 itemprop="name headline">
				<?php the_title(); ?>
            </h1>

        </div>
    </header>

    <div class="fy-wrap">

        <div class="fy-centerer">
            <div class="fy-flex-container fy-flex-gutter-xxlarge">

                <main class="fy-main fy-flex-column-auto <?php echo esc_attr( $main_class ); ?>" itemscope
                      itemtype="https://schema.org/WebPage">

					<?php if ( have_posts() ) { ?>
						<?php while ( have_posts() ) { ?>
							<?php the_post(); ?>

							<?php get_template_part( 'templates/page/content' ); ?>

							<?php if ( comments_open() || get_comments_number() ) { ?>
								<?php comments_template(); ?>
							<?php } ?>

						<?php } ?>
					<?php } ?>

                </main>

				<?php if ( is_active_sidebar( 'page' ) ) { ?>
					<?php get_sidebar(); ?>
				<?php } ?>

            </div>

        </div>

    </div>

<?php
get_footer();