<?php

/*

Single Event Template

*/

// Type
$type = 'event';

// Main Class
$main_class = is_active_sidebar( $type ) ? 'fy-sidebar-active' : 'fy-sidebar-inactive';

get_header();
get_template_part( 'heading' );
?>

    <div class="fy-wrap">

        <div class="fy-centerer">
            <div class="fy-flex-container fy-flex-gutter-xxlarge">

                <main class="fy-main fy-main-single fy-single-event fy-flex-column-auto <?php echo esc_attr( $main_class ); ?>"
                      itemscope itemtype="https://schema.org/Event">

					<?php if ( have_posts() ) { ?>
						<?php while ( have_posts() ) { ?>
							<?php the_post(); ?>

							<?php if ( get_post_type() != 'post' ) { ?>

								<?php get_template_part( 'content', get_post_type() . '-single' ); ?>

							<?php } else if ( get_post_type() == 'post' ) { ?>

								<?php if ( get_post_format() ) { ?>
									<?php get_template_part( 'content', get_post_format() . '-single' ); ?>
								<?php } else { ?>
									<?php get_template_part( 'content', 'standard-single' ); ?>
								<?php } ?>

							<?php } ?>

						<?php } ?>
					<?php } ?>

					<?php if ( comments_open() || get_comments_number() ) { ?>
						<?php comments_template(); ?>
					<?php } ?>

                </main>

				<?php if ( is_active_sidebar( $type ) ) { ?>
					<?php get_sidebar( $type ); ?>
				<?php } ?>

            </div>

        </div>

    </div>

<?php
get_footer();