<?php

/*

Template Name: Events

*/

global $post;

// Type
$type = 'event';

// Taxonomy
$taxonomy = 'category-event';

// Main Class
$main_class = is_active_sidebar( $type ) ? 'fy-sidebar-active' : 'fy-sidebar-inactive';

get_header();
get_template_part( 'heading' );
?>

    <div class="fy-wrap">

        <div class="fy-centerer">
            <div class="fy-flex-container fy-flex-gutter-xxlarge">

                <main class="fy-main fy-main-event fy-flex-column-auto <?php echo esc_attr( $main_class ); ?>">

					<?php if ( have_posts() ) { ?>
						<?php while ( have_posts() ) { ?>
							<?php the_post(); ?>

							<?php get_template_part( 'templates/page/content' ); ?>

							<?php wp_reset_postdata(); ?>
						<?php } ?>
					<?php } ?>

					<?php
					// Current Date
					$current_date = date( 'Y/m/d', current_time( 'timestamp' ) );

					$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;

					// Query
					$args  = array(
						'post_type'           => $type,
						'meta_key'            => 'fy_event_date',
						'meta_value'          => 'fy_event_date_end',
						'meta_compare'        => '<',
						'meta_query'          => array(
							'relation' => 'AND',
							array(
								'key'     => 'fy_event_date',
								'value'   => 'fy_event_date_end',
								'compare' => '<='
							),
							array(
								'key'     => 'fy_event_date_end',
								'value'   => $current_date,
								'compare' => '>='
							)
						),
						'order'               => 'ASC',
						'orderby'             => 'meta_value',
						'ignore_sticky_posts' => 1,
						'paged'               => $paged,
						'posts_per_page'      => get_option( 'posts_per_page' )
					);
					$query = new WP_Query( $args );
					?>

					<?php if ( $query->have_posts() ) { ?>
						<?php while ( $query->have_posts() ) { ?>
							<?php $query->the_post(); ?>

							<?php get_template_part( 'content', $type ); ?>

						<?php } ?>

						<?php if ( function_exists( 'linguini_pagination' ) ) {
							linguini_pagination( $query->max_num_pages, "", $paged );
						} ?>

						<?php wp_reset_postdata(); ?>
					<?php } else { ?>

                        <div class="fy-page-content fy-content fy-content-empty">
							<?php esc_html_e( 'No items were found.', 'linguini' ); ?>
                        </div>

					<?php } ?>

                </main>

				<?php if ( is_active_sidebar( $type ) ) { ?>
					<?php get_sidebar( $type ); ?>
				<?php } ?>

            </div>

        </div>

    </div>

<?php
get_footer();