<?php

/*

Template Name: Homepage

*/

global $sidebars_widgets;

// Count Widgets
$count = count( $sidebars_widgets['homepage-call-to-action'] );

get_header();
?>

<?php get_template_part( 'component', 'slideshow' ); ?>

    <div class="fy-content fy-content-homepage">

        <main class="fy-main fy-main-homepage">

			<?php if ( is_active_sidebar( 'homepage-call-to-action' ) ) { ?>
                <div class="fy-homepage-call-to-action fy-widgets-count-<?php echo esc_attr( $count ); ?>">
                    <div id="cta" class="fy-anchor"></div>
                    <div class="fy-gradient">
                        <div class="fy-centerer">
                            <div class="fy-flex-container fy-flex-container-stretch fy-flex-gutter-small">
								<?php dynamic_sidebar( 'homepage-call-to-action' ); ?>
                            </div>
                        </div>
                    </div>
                </div>
			<?php } ?>

			<?php if ( is_active_sidebar( 'homepage' ) ) { ?>
                <div class="fy-homepage-widgets">
                    <div class="fy-centerer">
                        <div class="fy-flex-container fy-flex-gutter-small">
							<?php dynamic_sidebar( 'homepage' ); ?>
                        </div>
                    </div>
                </div>
			<?php } ?>

			<?php if ( have_posts() ) { ?>
				<?php while ( have_posts() ) { ?>
					<?php the_post(); ?>

					<?php
					$content = get_the_content();

					if ( ! empty( $content ) ) { ?>
                        <div class="fy-homepage-content">
                            <div class="fy-centerer">
								<?php get_template_part( 'templates/page/content' ); ?>
                            </div>
                        </div>
					<?php } ?>

					<?php wp_reset_postdata(); ?>
				<?php } ?>
			<?php } ?>

			<?php if ( get_theme_mod( 'fy_homepage_about' ) != 'disabled' ) { ?>
				<?php get_template_part( 'component', 'about' ); ?>
			<?php } ?>

			<?php if ( get_theme_mod( 'fy_homepage_posts' ) != 'disabled' ) { ?>
				<?php get_template_part( 'component', 'posts' ); ?>
			<?php } ?>

			<?php if ( get_theme_mod( 'fy_homepage_events' ) != 'disabled' ) { ?>
				<?php get_template_part( 'component', 'events' ); ?>
			<?php } ?>

        </main>

    </div>

<?php
get_footer();