/**
 *
 * Autohide
 * v1.0.0
 *
 * Dependencies:
 * jquery
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    // classes
    var CLASS_AUTOHIDE = 'is-autohide';
    var CLASS_AUTOHIDE_VISIBLE = 'is-visible';
    var CLASS_AUTOHIDE_HIDDEN = 'is-hidden';

    // selectors
    var autohide = $('.js-autohide');

    // settings
    var scrolling = false;
    var previousTop = 0;
    var scrollDelta = 10;
    var scrollOffset = 0;

    // check scroll
    $(window).on('scroll touchmove', function () {
        if (autohide.length) {
            if (!scrolling) {
                scrolling = true;

                if (!window.requestAnimationFrame) {
                    setTimeout(forqyAutoHide, 0);
                } else {
                    requestAnimationFrame(forqyAutoHide);
                }
            }
        }
    });

    /**
     * Auto-hide
     */

    function forqyAutoHide() {
        var currentTop = $(window).scrollTop();

        autohide.each(function () {
            autohide.addClass(CLASS_AUTOHIDE);
            forqyAutoHideCheck(currentTop);
        });

        previousTop = currentTop;
        scrolling = false;
    }

    /**
     * Check Auto-hide
     * @param currentTop
     */

    function forqyAutoHideCheck(currentTop) {

        if (currentTop > scrollOffset) {

            if (previousTop - currentTop > scrollDelta) {
                // scrolling up
                autohide.addClass(CLASS_AUTOHIDE_VISIBLE);
                autohide.removeClass(CLASS_AUTOHIDE_HIDDEN);
            } else if (currentTop - previousTop > scrollDelta) {
                // scrolling down
                autohide.addClass(CLASS_AUTOHIDE_HIDDEN);
                autohide.removeClass(CLASS_AUTOHIDE_VISIBLE);
            }
        } else {
            autohide.removeClass(CLASS_AUTOHIDE_VISIBLE);
            autohide.removeClass(CLASS_AUTOHIDE_HIDDEN);
        }
    }

});