/**
 *
 * Bar
 * v1.0.1
 *
 * Dependencies:
 * jquery
 * double-tap-to-go
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    // classes
    var CLASS_NAVIGATION_BAR_ACTIVE = 'navigation-active-bar';
    var CLASS_NAVIGATION_BAR_CLOSING = 'navigation-closing-bar';

    // selectors
    var html = $('html');
    var body = $('body');

    var bar = $('.js-bar');
    var barNavigation = bar.find('.js-navigation');

    var barNavigationTrigger = $('.js-bar-trigger');
    var barNavigationClose = $('.js-bar-close');

    var barNavigationLinkAnchor = barNavigation.find('a[href*="#"]');
    var barNavigationLinkAnchorEmpty = barNavigation.find('a[href="#"]');

    var barNavigationHasSub = barNavigation.find('li:has(ul)');

    /**
     * Double Tap To Go
     */

    if (body.innerWidth() >= '1024') {
        barNavigationHasSub.doubleTapToGo();
    }
    $(window).on('resize', function () {
        if (body.innerWidth() >= '1024') {
            barNavigationHasSub.doubleTapToGo();
        }
    });

    /**
     * Empty Anchor Links
     */

    barNavigationLinkAnchorEmpty.on('click', function (e) {
        e.preventDefault();
    });

    /**
     * Mobile
     */

    barNavigationTrigger.each(function (i, el) {
        $(el).on('click touchstart', function (e) {
            e.preventDefault();

            if (body.hasClass(CLASS_NAVIGATION_BAR_ACTIVE)) {
                body.addClass(CLASS_NAVIGATION_BAR_CLOSING);

                setTimeout(function () {
                    html.removeClass(CLASS_NAVIGATION_BAR_ACTIVE);
                    body.removeClass(CLASS_NAVIGATION_BAR_CLOSING);
                    body.removeClass(CLASS_NAVIGATION_BAR_ACTIVE);
                }, 250);
            } else {
                html.addClass(CLASS_NAVIGATION_BAR_ACTIVE);
                body.addClass(CLASS_NAVIGATION_BAR_ACTIVE);
            }
        });
    });
    // close navigation
    barNavigationClose.each(function (i, el) {
        $(el).on('click touchstart', function () {

            if (body.hasClass(CLASS_NAVIGATION_BAR_ACTIVE)) {
                body.addClass(CLASS_NAVIGATION_BAR_CLOSING);

                setTimeout(function () {
                    html.removeClass(CLASS_NAVIGATION_BAR_ACTIVE);
                    body.removeClass(CLASS_NAVIGATION_BAR_CLOSING);
                    body.removeClass(CLASS_NAVIGATION_BAR_ACTIVE);
                }, 250);
            }
        });
    });
    // close navigation on click to anchor link
    barNavigationLinkAnchor.each(function (i, el) {
        $(el).on('click touchstart', function () {

            if (body.hasClass(CLASS_NAVIGATION_BAR_ACTIVE)) {
                body.addClass(CLASS_NAVIGATION_BAR_CLOSING);

                setTimeout(function () {
                    html.removeClass(CLASS_NAVIGATION_BAR_ACTIVE);
                    body.removeClass(CLASS_NAVIGATION_BAR_CLOSING);
                    body.removeClass(CLASS_NAVIGATION_BAR_ACTIVE);
                }, 250);
            }
        });
    });
    // close navigation on esc
    $(document).keyup(function (e) {
        if (e.keyCode === 27) {
            if (body.hasClass(CLASS_NAVIGATION_BAR_ACTIVE)) {
                body.addClass(CLASS_NAVIGATION_BAR_CLOSING);

                setTimeout(function () {
                    html.addClass(CLASS_NAVIGATION_BAR_ACTIVE);
                    body.removeClass(CLASS_NAVIGATION_BAR_CLOSING);
                    body.removeClass(CLASS_NAVIGATION_BAR_ACTIVE);
                }, 250);
            }
        }
    });

});