/**
 *
 * Images
 * v1.0.0
 *
 * Dependencies:
 * photoswipe
 * photoswipe-ui-default
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    /**
     * PhotoSwipe
     */

    var pswp = $('.js-pswp');
    var pswpImage = $('.js-image');

    pswpImage.on('click', function (e) {
        e.preventDefault();

        forqyOpenPhotoSwipe(this);
    });

    /**
     * forqyGalleryGetImages
     * @param gallery
     * @param el
     * @returns {*[]}
     */

    function forqyGalleryGetImages(gallery, el) {
        var elements = $(gallery).find('a[data-size]').has('img');
        var galleryItems = [];
        var index;

        elements.each(function (i) {
            var $el = $(this);
            var size = $el.data('size').split('x');
            var $title = $el.parent('figure').find('figcaption').html();

            galleryItems.push({
                src: $el.attr('href'),
                w: parseInt(size[0], 10),
                h: parseInt(size[1], 10),
                title: $title,
                el: $el
            });

            if (el === $el.get(0)) {
                index = i;
            }
        });

        return [galleryItems, parseInt(index, 10)];

    }

    /**
     * forqyOpenPhotoSwipe
     * @param element
     */

    function forqyOpenPhotoSwipe(element) {
        var pswpEl = pswp.get(0);
        var galleryEl = $(element).parents('.js-images').first();

        var options;
        var items;
        var index;

        items = forqyGalleryGetImages(galleryEl, element);
        index = items[1];
        items = items[0];

        options = {
            index: index,
            loop: true,
            bgOpacity: 1,
            shareEl: false,
            closeOnScroll: false,
            showHideOpacity: false,
            showAnimationDuration: 0,
            hideAnimationDuration: 0,
            preload: true,
            history: false,
            loadingIndicatorDelay: 0,
            barsSize: {
                top: 60,
                bottom: 'auto'
            }
        };

        // Pass data to PhotoSwipe and initialize it
        var gallery = new PhotoSwipe(pswpEl, PhotoSwipeUI_Default, items, options);
        gallery.init();

    }

});