/**
 *
 * Lazy
 * v1.0.0
 *
 * Dependencies:
 * jquery
 * jquery-masonry
 * jquery-lazy
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    // classes
    var CLASS_LAZY_LOADED = 'lazy-loaded';

    // selectors
    var imagesLazy = $('.js-lazy');
    var imagesLazyParent = '.js-lazy-parent';

    /**
     * Lazy
     */

    imagesLazy.Lazy({
        threshold: 1000,
        afterLoad: function (element) {
            var image = $(element);
            var imageParent = image.parent(imagesLazyParent);

            image.addClass(CLASS_LAZY_LOADED);
            $(imageParent).addClass(CLASS_LAZY_LOADED);

            // if masonry exists
            if ($.isFunction($.fn.masonry)) {

                // reload masonry
                $('.js-masonry').masonry('layout');
            }
        }
    });

});