/**
 *
 * Masonry
 * v1.0.1
 *
 * Dependencies:
 * jquery
 * masonry
 * imagesloaded
 *
 */

(function ($) {
    $(window).load(function () {
        "use strict";

        // init
        var masonryGrid = $('.js-masonry').imagesLoaded( function() {
            // init after all images have loaded
            masonryGrid.masonry({
                itemSelector: '.js-masonry-item',
                columnWidth: '.js-masonry-size',
                percentPosition: true,
                horizontalOrder: true,
                gutter: 0
            });
        });

        // layout after window width changes
        $(window).on('resize', function () {
            masonryGrid.masonry('layout');
        });

    });
})(jQuery);