/**
 *
 * Reveal
 * v1.0.0
 *
 * Dependencies:
 * jquery
 * pace
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    // classes
    var CLASS_REVEAL_REVEALED = 'revealed';

    // selectors
    var reveal = $('.js-reveal');
    var revealContainer = $('.js-reveal-container');

    // settings
    var revealDelay = 140; // ms
    var revealOffset = 40; // px

    /**
     * Reveal
     * @param container
     * @param reveal
     * @param delay
     * @param offset
     */

    function forqyReveal(container, reveal, delay, offset) {

        reveal.each(function (i, el) {

            var windowBottom = $(window).scrollTop() + $(window).height();

            var element = $(el);
            var containerTop = container.offset().top;

            // is in viewport
            if (windowBottom >= containerTop + offset) {
                setInterval(function () {
                    element.addClass(CLASS_REVEAL_REVEALED);
                }, i * delay);
            }

        });
    }

    // if loaded by pace.js
    Pace.on('done', function () {

        // reveal within container

        revealContainer.each(function (i, el) {

            var container = $(el);
            var revealEl = container.find(reveal);

            // reveal
            forqyReveal(container, revealEl, revealDelay, revealOffset);

            // reveal on scroll
            $(window).scroll(function () {
                forqyReveal(container, revealEl, revealDelay, revealOffset);
            });

        });

    });

});