/**
 *
 * Sticky - Clone
 * v1.0.0
 *
 * Dependencies:
 * jquery
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    // classes
    var CLASS_STICKY = 'is-sticky';
    var CLASS_STICKY_VISIBLE = 'is-sticky-visible';
    var CLASS_STICKY_HIDDEN = 'is-sticky-hidden';
    var CLASS_STICKY_CLONE = 'sticky-clone';

    // selectors
    var sticky = $('.js-sticky');
    var stickyContainer = $('.js-sticky-container');

    /**
     * Sticky
     * @param sticky
     */

    function forqySticky(sticky) {
        sticky.addClass(CLASS_STICKY);

        $(window).on('scroll touchmove', function () {

            if ($(window).scrollTop() >= stickyStartOn) {
                sticky.addClass(CLASS_STICKY_VISIBLE);
                sticky.removeClass(CLASS_STICKY_HIDDEN);
            } else {
                sticky.addClass(CLASS_STICKY_HIDDEN);
                sticky.removeClass(CLASS_STICKY_VISIBLE);
            }
        });
    }

    /**
     * Stick Clone
     */

    if (sticky.length) {

        // sticky start on
        var stickyStartOn = $(window).height() / 2;

        // create clone
        var stickyClone = sticky.clone(true).addClass(CLASS_STICKY_CLONE);
        stickyClone.prependTo(stickyContainer);

        // init sticky
        forqySticky(stickyClone);

    }

});