/**
 *
 * Sticky
 * v1.0.0
 *
 * Dependencies:
 * jquery
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    // classes
    var CLASS_STICKY_STUCK = 'is-stuck';
    var CLASS_STICKY_ON_TOP = 'is-on-top';
    var CLASS_STICKY_MOBILE = 'is-mobile';

    // selectors
    var doc = $(document);

    var sticky = $('.js-sticky');
    var stickyOffset = sticky.innerHeight();

    var stickyContainer = $('.js-sticky-container');
    var stickyContainerWidth = stickyContainer.innerWidth();

    /**
     * Sticky Class
     */

    function forqyStickyClass() {
        var currentTop = doc.scrollTop();

        if (currentTop === 0) {
            sticky.addClass(CLASS_STICKY_ON_TOP);
            sticky.removeClass(CLASS_STICKY_STUCK);
        } else if (currentTop > 0 && currentTop >= stickyOffset) {
            sticky.removeClass(CLASS_STICKY_ON_TOP);
            sticky.addClass(CLASS_STICKY_STUCK);
        } else {
            sticky.removeClass(CLASS_STICKY_ON_TOP);
            sticky.addClass(CLASS_STICKY_STUCK);
        }

        // is mobile
        if (stickyContainerWidth <= '1024') {
            sticky.addClass(CLASS_STICKY_MOBILE);
        } else {
            sticky.removeClass(CLASS_STICKY_MOBILE);
        }
    }

    // stick
    forqyStickyClass();

    // stick on scroll
    $(window).on('scroll touchmove', function () {
        forqyStickyClass();
    });

});