/**
 *
 * Theme
 * v1.0.0
 *
 * Dependencies:
 * jquery
 * pace
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    var root = $('html, body');
    var body = $('body');

    /**
     * Loading
     * pace.js
     */

    var CLASS_LOADING_HIDING = 'loading-hiding';
    var CLASS_LOADING_HIDDEN = 'loading-hidden';

    Pace.options = {
        ajax: false,
        restartOnRequestAfter: false,
        eventLag: false
    };

    Pace.on('done', function () {
        body.addClass(CLASS_LOADING_HIDING);

        if (body.hasClass(CLASS_LOADING_HIDING)) {
            setTimeout(function () {
                body.removeClass(CLASS_LOADING_HIDING);
                body.addClass(CLASS_LOADING_HIDDEN);
            }, 600);
        }
    });

    /**
     * Forms
     */

    // classes
    var CLASS_FIELD_EMPTY = 'field-empty';
    var CLASS_FIELD_ACTIVE = 'field-active';

    // selectors
    var field = $('.fy-field');
    var input = field.find('.fy-input');

    // input
    input.each(function (i, el) {

        var container = $(el).parents(field);

        if (el.value && el.value.trim() === '') {
            container.addClass(CLASS_FIELD_EMPTY);
        }

        $(el).on('focus', function () {
            container.addClass(CLASS_FIELD_ACTIVE);
            container.removeClass(CLASS_FIELD_EMPTY);
        });

        $(el).on('blur', function () {

            container.removeClass(CLASS_FIELD_ACTIVE);

            if (el.value.trim() === '') {
                container.addClass(CLASS_FIELD_EMPTY);
            } else {
                container.removeClass(CLASS_FIELD_EMPTY);
            }
        });
    });

    /**
     * Anchor Link Scroll
     */

    $('a[href^="#"]').on('click', function (e) {
        e.preventDefault();

        var target = $(this).attr('href');
        var $target = $(target);

        if ($target.length) {
            root.animate({
                'scrollTop': $target.offset().top
            }, 500);
        }
    });

});
