/**
 *
 * Video
 * v1.0.0
 *
 * Dependencies:
 * jquery
 *
 */

jQuery(document).ready(function ($) {
    "use strict";

    // classes
    var CLASS_VIDEO_PLAYING = 'video-playing';
    var CLASS_VIDEO_PAUSED = 'video-paused';

    // selectors
    var videoContainer = $('.js-video-container');

    /**
     * Play/pause
     * @param video
     */

    function forqyVideoPlayPause(video) {

        if (video.get(0).paused) {
            video.get(0).play();
        } else {
            video.get(0).pause();
        }
    }

    /**
     * Class
     * @param video
     * @param container
     */

    function forqyVideoClass(video, container) {

        if (video.length) {

            // if video playing
            $(video).on('playing', function () {
                container.addClass(CLASS_VIDEO_PLAYING);
                container.removeClass(CLASS_VIDEO_PAUSED);
            });

            // if video is already playing before js loads
            if ($(video).currentTime > 0) {
                container.addClass('is-playing is-visible');
            }

            // if video paused or not
            if (video.get(0).paused) {
                container.addClass(CLASS_VIDEO_PAUSED);
                container.removeClass(CLASS_VIDEO_PLAYING);
            } else {
                container.addClass(CLASS_VIDEO_PLAYING);
                container.removeClass(CLASS_VIDEO_PAUSED);
            }
        }
    }

    /**
     * Video
     */

    videoContainer.each(function (i, el) {
        var container = $(el);

        var video = container.find('.js-video');
        var videoControlPlayPause = container.find('.js-video-playpause');
        var videoControlBackground = container.parents('.js-video-background');

        // class
        forqyVideoClass(video, container);

        // controls

        video.controls = 0;

        // button play/pause
        videoControlPlayPause.on('click', function (e) {
            e.preventDefault();

            // if no background control
            if (!videoControlBackground.length) {
                forqyVideoPlayPause(video);
                forqyVideoClass(video, container);
            }
        });
        // background play/pause
        videoControlBackground.on('click', function () {

            forqyVideoPlayPause(video);
            forqyVideoClass(video, container);
        });

    });

});